QGIS Application - Bug report #14334
SAGA raster calculator: order of layers wrong
2016-02-18 11:19 PM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/SAGA

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 22321
Description

In Processing, saga raster calculator does not use layers honouring the
order set up in the selection (I select one layer as b, and another one
from the list is used instead).

SAGA 2.2.3 here.

History

#1 - 2016-02-20 07:05 AM - Giovanni Manghi
- Status changed from Open to Feedback

Is this a regression? If yes then please tag this ticket accordingly.

#2 - 2016-02-22 12:00 AM - Paolo Cavallini
- Tag set to regression
- Status changed from Feedback to Open

Unsure about that. | remember having seen it long ago, but | do not know whether is still the same one.

#3 - 2016-09-27 05:38 AM - Victor Olaya

just checked. The algorithm is correctly passing to SAGA the layers that are selected, and in the order in which they appear in the multiple selection dialog.
an you recheck? If the problem persist, can you send an example of layers used and the output saga_script file to ensure that it is using a wrong order?

#4 - 2017-05-01 01:06 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2018-03-07 04:14 PM - Paolo Cavallini

- Resolution set to fixed/implemented

- Description updated
- Status changed from Open to Closed
